`hdpmFit` <-
function(fit.outp=NULL,
         i=NULL)
  { ## plots the fitted profiles
    ## fit.outp=list(e,s,x,xgrid), i.e., output from 'hdpmFitSetup()'


    ## check paramters
    if(is.null(fit.outp)){
      cat("\n *** Error: need argument fit.struc.")
      cat("\n     use 'hdpmFitSetup(.)' and save result in 'fit.outp'\n")
      return(-1)
    }
    if(is.null(i))
      i <- 1:nrow(fit.outp$e)
    if(!all(is.element(i,1:nrow(fit.outp$e)))){
      cat("\n *** Error: need i in {1,...,npatients}.",
          "\n     using npatients=nrow(fit.outp$e).\n")
      return(-1)
    }

    ## read in results from fit..
    xgrid <- fit.outp$xgrid
    ylim <- range(c(fit.outp$e + c(1,-1)*fit.outp$s))
    for(ii in i){
      e <- fit.outp$e[ii,]
      s <- fit.outp$s[ii,]
      plot(xgrid,e,type="l",bty="l",xlab="DAY",ylab="E(Y)",ylim=ylim)
      lines(xgrid,e-s,type="l",lty=2)
      lines(xgrid,e+s,type="l",lty=2)
      text(xgrid[1],ylim[1],labels=c(paste("I=",ii,sep="")),adj=-1)
    }

  }

